import { FileStreamService } from '../io/file-stream.service';
import { ISeedDataLogger } from '../logging/logger.type';
import { ISeedDataConfigFile } from './config-file';
export declare class ConfigFileReader {
    private readonly fileStream;
    constructor(fileStream: FileStreamService);
    readConfig(workingDirectory: string, configFilePath: string, dbUrl: string): Promise<ISeedDataConfigFile>;
    validate(configFile: ISeedDataConfigFile, fallbackDbUrl?: string): void;
    private getDbUrl;
    private validateTasks;
    private validateCodeFileTables;
    private validateExportOrRunTables;
}
export declare const configFileReaderFactory: {
    createInstance: (loggerInstance: ISeedDataLogger) => ConfigFileReader;
};
