export declare enum TaskTypes {
    ExportDataToSeedScripts = "ExportDataToSeedScripts",
    RunSeedScriptsAgainstDatabase = "RunSeedScriptsAgainstDatabase",
    ExportDataToCodeFile = "ExportDataToCodeFile",
    Exit = "Exit"
}
export declare enum ConfigTaskTypes {
    ExportTablesAsCodeFile = "ExportTablesAsCodeFile",
    ExportOrRunTablesAsSeed = "ExportOrRunTablesAsSeed"
}
export interface TableSeedDef {
    tableName: string;
    primaryKeyNames: string[];
    excludeColumns?: string[];
    overrideColumns?: {
        [key: string]: any;
    };
}
export interface TableCodeFileDef {
    entityName: string;
    tableName: string;
    valueColumn: string;
    keyColumn: string;
}
export interface ExportTablesAsCodeFile {
    type: ConfigTaskTypes;
    label: string;
    tables: TableCodeFileDef[];
    outDir: string;
}
export interface ExportOrRunTablesTask {
    type: ConfigTaskTypes;
    label: string;
    runOnApplicationStartup: boolean;
    tables: TableSeedDef[];
    excludeColumns: string[];
    outDir: string;
}
export declare type TaskConfig = ExportTablesAsCodeFile & ExportOrRunTablesTask;
export interface ISeedDataConfigFile {
    tasks: TaskConfig[];
    dotEnvDatabaseUrlKey?: string;
    databaseUrl: string;
}
