/// <reference types="node" />
import { ISeedDataLogger } from '../logging/logger.type';
export declare class FileStreamService {
    private readonly logger;
    constructor(logger: ISeedDataLogger);
    writeFileWithString(filePath: string, fileName: string, content: string): Promise<void>;
    writeFileWithObject(filePath: string, fileName: string, content: any, options?: {
        space: string;
    }): Promise<void>;
    resolve(segments: string[]): string;
    endLine(): string;
    tabChar(): string;
    rmDir(directory: string): Promise<void>;
    readFileAsJsonAsync<T>(inputFile: string, errTransform?: () => T): Promise<T>;
    readFileAsync(inputFile: string): Promise<Buffer>;
    private writeFileAsync;
}
