"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileWriter = void 0;
class FileWriter {
    constructor(fileStream, outDir, fileName) {
        this.fileStream = fileStream;
        this.outDir = outDir;
        this.fileName = fileName;
        this.fileContent = ``;
    }
    get content() {
        return this.fileContent;
    }
    get tab() {
        return this.fileStream.tabChar();
    }
    wl(content) {
        this.fileContent += content + this.fileStream.endLine();
    }
    saveToDir() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.fileStream.writeFileWithString(this.outDir, this.fileName, this.fileContent);
        });
    }
}
exports.FileWriter = FileWriter;
//# sourceMappingURL=file-writer.js.map