"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeedDataLoggerAdapter = void 0;
const logger_type_1 = require("./logger.type");
class SeedDataLoggerAdapter {
    constructor(level, loggerInstance) {
        this.level = level;
        this.loggerInstance = loggerInstance;
    }
    info(info, context) {
        if (logger_type_1.LogeLevelPriority[logger_type_1.LogLevel.info] <= logger_type_1.LogeLevelPriority[this.level]) {
            this.loggerInstance.info(info, context);
        }
    }
    debug(debug, context) {
        if (logger_type_1.LogeLevelPriority[logger_type_1.LogLevel.debug] <= logger_type_1.LogeLevelPriority[this.level]) {
            this.loggerInstance.debug(debug, context);
        }
    }
    error(error, context) {
        if (logger_type_1.LogeLevelPriority[logger_type_1.LogLevel.error] <= logger_type_1.LogeLevelPriority[this.level]) {
            this.loggerInstance.error(error, context);
        }
    }
}
exports.SeedDataLoggerAdapter = SeedDataLoggerAdapter;
//# sourceMappingURL=seed-data-logger-adapter.js.map