"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeedDataLogger = void 0;
const chalk = require("chalk");
const os = require("os");
class SeedDataLogger {
    info(info, context) {
        console.log(chalk.blue(`[${context}]`), chalk.blueBright(` info: ${info} ${os.EOL}`));
    }
    debug(debug, context) {
        console.debug(chalk.cyan(`[${context}]`), chalk.cyan(` debug: ${debug} ${os.EOL}`));
    }
    error(error, context) {
        if (typeof error === 'string') {
            console.error(chalk.red(`[${context}]`), chalk.red(` error: ${error} ${os.EOL}`));
        }
        else {
            console.error(chalk.red(`[${context}]`), chalk.red(` error: ${error.name}, message: ${error.message} ${os.EOL}`), chalk.red(error.stack));
        }
    }
}
exports.SeedDataLogger = SeedDataLogger;
//# sourceMappingURL=seed-data-logger.js.map