import { QueryRunner, Table } from 'typeorm';
import { ISeedDataLogger } from '../logging/logger.type';
import { ISeedQueryRunner } from './query-runner.interface';
import { ExportOrRunTableOptions } from './seed-data.types';
export declare class PostgresSeedQueryRunner implements ISeedQueryRunner {
    private readonly queryRunner;
    private readonly logger;
    constructor(queryRunner: QueryRunner, logger: ISeedDataLogger);
    createTable(table: Table): Promise<void>;
    private getColumnValue;
    transaction(runInTransaction: () => Promise<void>): Promise<void>;
    getRawTableData<T>(tableName: string): Promise<any>;
    getRow<T>(tableName: string, query: Partial<T>): Promise<any>;
    insertRow<T>(tableName: string, newRowData: T): Promise<void>;
    updateRow<T>(tableName: string, newRowData: T, matchRowQuery: {
        [key: string]: any;
    }): Promise<void>;
    deleteRow<T>(tableName: string, where: {
        [key: string]: any;
    }): Promise<void>;
    insertSeedRow<T>(dbRow: any, seedData: ExportOrRunTableOptions, excludedColumnNames: string[]): Promise<void>;
    updateSeedRow<T>(dbRow: any, newRow: any, seedData: ExportOrRunTableOptions, excludedColumnNames: string[]): Promise<void>;
    deleteSeedRow<T>(dbRow: T, seedData: ExportOrRunTableOptions): Promise<void>;
    updateIdSequence(tableName: string): Promise<void>;
    getTableColumns(tableName: string): Promise<string[]>;
    private isDateMatch;
}
