import { Table } from 'typeorm';
import { ExportOrRunTableOptions } from './seed-data.types';
export interface ISeedQueryRunner {
    createTable(table: Table): Promise<void>;
    getTableColumns(tableName: string): Promise<string[]>;
    transaction(runInTransaction: () => Promise<void>): Promise<void>;
    getRawTableData<T>(tableName: string): Promise<T[]>;
    getRow<T>(tableName: string, where: {
        [key: string]: any;
    }): Promise<T>;
    updateRow<T>(tableName: string, newRowData: T, where: {
        [key: string]: any;
    }): Promise<void>;
    insertRow<T>(tableName: string, newRowData: T): Promise<void>;
    deleteRow<T>(tableName: string, where: {
        [key: string]: any;
    }): Promise<void>;
    updateSeedRow<T>(rowValuesInDb: any, newRowValues: any, seedData: ExportOrRunTableOptions, excludedColumnNames: string[]): Promise<void>;
    insertSeedRow<T>(rowValuesInDb: any, seedData: ExportOrRunTableOptions, excludedColumnNames: string[]): Promise<void>;
    deleteSeedRow<T>(rowValuesInDb: T, seedData: ExportOrRunTableOptions): Promise<void>;
    updateIdSequence(tableName: string): Promise<void>;
}
