import { TaskConfig, TableSeedDef } from '../config-file/config-file';
import { FileStreamService } from '../io/file-stream.service';
import { ISeedDataLogger } from '../logging/logger.type';
import { ISeedQueryRunner } from './query-runner.interface';
import { ExportTableOptions, ExportOrRunTableOptions } from './seed-data.types';
export declare class SeedDataRunner {
    private readonly seedQueryRunner;
    private readonly fileStream;
    private readonly logger;
    readonly isReadyToRun: Promise<boolean>;
    private isInitialized;
    private seedRunnerTableColumns;
    private seedRunnerTable;
    constructor(seedQueryRunner: ISeedQueryRunner, fileStream: FileStreamService, logger: ISeedDataLogger);
    exportTablesToCode(seedDataList: ExportTableOptions[], outDir: string): Promise<void>;
    exportTablesAsSeed(task: TaskConfig): Promise<void>;
    exportTableAsSeed<T>(table: TableSeedDef, task: TaskConfig): Promise<void>;
    runSeeds(seedDataList: ExportOrRunTableOptions[], excludedColumnNames: string[], inputDir: string): Promise<void>;
    private getChangedSeeds;
    private deleteExtraSeeds;
    private updateOrInsertSeeds;
    private createDataByPrimaryKeyMap;
    private readFileAsString;
    private tokenizePrimaryKey;
    private isFileUnChanged;
    private hashFile;
    private getIsInitialized;
    private initializeCacheTable;
    private getFileName;
    private updateOrInsertSeedHash;
}
