import { QueryRunner, DataSource, DataSourceOptions } from 'typeorm';
import { ISeedDataConfigFile } from '../config-file/config-file';
import { ISeedDataLogger, LogLevel } from '../logging/logger.type';
import { SeedDataRunner } from './seed-data-runner';
export declare class SeedRunnerFactory {
    createInstance(typeOrmConfig: DataSourceOptions, logger: ISeedDataLogger): Promise<SeedDataRunner>;
    runSeedScripts(dbConnection: DataSource, externalLogger: ISeedDataLogger, configFile: ISeedDataConfigFile, queryRunner?: QueryRunner, logLevel?: LogLevel): Promise<void>;
}
export declare const seedRunnerFactory: SeedRunnerFactory;
